Foxit PDF Conversion SDK

Public Member Functions | List of all members
fpdfconversionsdk.Excel2PDFSettingData Class Reference

## Public Member Functions
def | GetIs_output_hidden_worksheets ()
| Get a boolean value which indicates whether to output the hidden worksheets. More...
def | GetIs_separate_workbook ()
| Get a boolean value which indicates whether to export worksheets to separate PDF files. More...
def | GetWorksheet_names ()
| Get an array of specific worksheet names to be converted to PDF files. More...
def | Set (is_separate_workbook, is_output_hidden_worksheets, worksheet_names)
| Set value. More...
def | SetIs_output_hidden_worksheets (value)
| Set a boolean value which indicates whether to output the hidden worksheets. More...
def | SetIs_separate_workbook (value)
| Set a boolean value which indicates whether to export worksheets to separate PDF files. More...
def | SetWorksheet_names (value)
| Set an array of specific worksheet names to be converted to PDF files. More...

## Detailed Description

This class represents setting data used for converting Excel format files to PDF format files.

## Member Function Documentation

## ◆ GetIs_output_hidden_worksheets()

fpdfconversionsdk.Excel2PDFSettingData.GetIs_output_hidden_worksheets | ( |  | ) |

Get a boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

Returns
  A boolean value which indicates whether to output the hidden worksheets.

## ◆ GetIs_separate_workbook()

fpdfconversionsdk.Excel2PDFSettingData.GetIs_separate_workbook | ( |  | ) |

Get a boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

Returns
  A boolean value which indicates whether to export worksheets to separate PDF files.

## ◆ GetWorksheet_names()

fpdfconversionsdk.Excel2PDFSettingData.GetWorksheet_names | ( |  | ) |

Get an array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.

Returns
  An array of specific worksheet names to be converted to PDF files.

## ◆ Set()

def fpdfconversionsdk.Excel2PDFSettingData.Set | ( |  | is_separate_workbook,
|  |  | is_output_hidden_worksheets,
|  |  | worksheet_names
| ) |  |

Set value.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

Returns
  None.

## ◆ SetIs_output_hidden_worksheets()

fpdfconversionsdk.Excel2PDFSettingData.SetIs_output_hidden_worksheets | ( |  | value | ) |

Set a boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

Parameters

  [in] | value | A boolean value which indicates whether to output the hidden worksheets.

Returns
  None.

## ◆ SetIs_separate_workbook()

fpdfconversionsdk.Excel2PDFSettingData.SetIs_separate_workbook | ( |  | value | ) |

Set a boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

Parameters

  [in] | value | A boolean value which indicates whether to export worksheets to separate PDF files.

Returns
  None.

## ◆ SetWorksheet_names()

fpdfconversionsdk.Excel2PDFSettingData.SetWorksheet_names | ( |  | value | ) |

Set an array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.

Parameters

  [in] | value | An array of specific worksheet names to be converted to PDF files.

Returns
  None.